Kalastatic module
=====================


INTRODUCTION
------------

This module integrates [Kalastatic](https://github.com/kalamuna/kalastatic) 
with Drupal.

[Kalastatic](https://github.com/kalamuna/kalastatic) is a static site framework 
for prototyping, style-guiding and building out CMS-less websites. 
More information can be found on the 
[Kalastatic wiki](https://github.com/kalamuna/kalastatic/wiki).


WHY THIS MODULE
----------------

For a prototype to be truly alive, it must co-exist with the dynamic assets 
generated by the CMS. When the user installs a module in Drupal, CSS and JS 
should be brought into the prototype context for regression testing on 
components and templates.

Conversely, the prototype as a canonical style guide should be pulled into the 
CMS. This approach ensures a portable and agnostic approach to design, and eases 
portability across multiple systems – avoiding re-implementation, and 
centralizing maintenance.


FEATURES
--------

 * provides pretty paths at ``/kalastatic/styleguide`` and 
 ``/kalastatic/prototype``
 * permissions for viewing the styleguide and protoype
 * a configurable path to Kalastatic resources
 * provides Drupal CSS and JS that can be shared back to the prototype


### todo

 * dynamic sharing of resources from Drupal to the prototype


REQUIREMENTS
------------

In theory, none.
In practice, this modules does nothing without 
[Kalastatic](https://github.com/kalamuna/kalastatic), 
which we recommend residing inside your subtheme. We of course recommend 
[Kalatheme](https://www.drupal.org/project/kalatheme) as a base theme.


INSTALLATION
------------

Install the module as usual. 
See http://drupal.org/documentation/install/modules-themes/modules-7 for help.


CONFIGURATION
-------------

 * Configure user permissions in Administration » People » Permissions
   - Configure Kalastatic

     Define where Kalastatic lives within Drupal.
     Grab CSS and JS references that can be added to the prototype.


   - View Kalastatic prototype

     Users with this permission will be able to access the prototype at
     /kalastatic/prototype.

   - View Kalastatic styleguide

     Users with this permission will be able to access the prototype at
     /kalastatic/styleguide. But why hide the beauty? Let everyone see it!


UPGRADING
----------

Visit the [KalaStatic upgrade documentation](https://git.io/vzHdN).


MAINTAINERS
------------

 * sonictruth  * https://www.drupal.org/u/sonictruth
 * RobLoach  * https://www.drupal.org/u/robloach
 * Andrew_Mallis  * https://www.drupal.org/u/andrew_mallis

Issues for this module are currently handled in the context of the main project 
at https://github.com/kalamuna/kalastatic
